var chat = {};
/**
 * 言語リソース
 */
chat.Resource = {
    "code": "en_US",

    // よく使う文言
    "closeLabel": "Close",
    "hideLabel": "Minimize",
    "applicateLabel": "Requested",
    "applicateExternalLabel": "Send Invitation Email",
    "approveLabel": "Approve",
    "declineLabel": "Decline",
    "inviteInternalLabel": "Invite",
    "inviteExternalLabel": "Send Invitation Email",
    "sendLabel": "Send",
    "deleteLabel": "Delete",
    "joinLabel": "Join",
    "turndownLabel": "Decline",
    "leaveLabel": "Leave",
    "changeToEditModeLabel": "Update",
    "changeFromEditModeLabel": "Complete",
    "loading": "Loading...",
    "searching": "Searching...",
    "countLabel": "{{count}} Items",
    "populationFormat": "{{count}} Users",
    "noTitle": "(Title Not Set)",
    "preview": "Preview",
    "selectCopyTargetTitle": "Copy Destination",
    "myRoom": "My Room",
    "unselected": "(Not selected)",

    // データ関連の文言
    "user_state_online": "Online",
    "user_state_away": "Away",
    "user_state_busy": "Busy",
    "user_state_offline": "Offline",
    "user_state_loading": "",
    "publicChatRoom_on": "Public Room",
    "publicChatRoom_off": "Private Room",
    "chatState_none": "Not Participated",
    "chatState_requested": "Requested",
    "chatState_unconfirmed": "Unapproved",
    "user_type_guest": "Guest User",
    "user_type_inner": "Internal Group User",
    "user_type_bot": "Chatbot",
    "userLevel_general": "General User",

    // ヘッダー
    "header": {
        "arrivalMessage_invite_room": "You have a new invitation to join a room.",
        "other_unreads": "Other {{count:hs}}",
        "cross_search_message": "Cross-message search",
        "cross_search_message_result": "Message Cross Search Results"
    },

    // 左メニュー
    "menu": {
        "pinLabel": "Add Pin",
        "unpinLabel": "Remove Pin",
    },

    // チャット(マイルーム/チャットルーム/コンタクト)
    "chat": {
        "myRoom": "My Room",
        "detailTitle": "Room Basic Information",
        "changeHistoryTitle": "Update History",
        "readMembersTitle": "Read Status",
        "reactionMembersTitle": "Reaction Status",
        "fileSettingTitle": "File Settings",
        "commentListTitle": "Comment",
        "shareWithCommentTitle": "Comment",
        "memberChooserTitle": "Select Member(s)",
        "goCommentTargetLabel": "Go to the comment's origin",
        "reminderTitle": "Reminder",
        "resendLabel": "Resend",
        "readText": "Read",
        "readMembersCountText": "Read by {{reads:hs}} of {{members:hs}} members", 
        "confirmToFilesDelete": "Are you sure you want to delete the selected file(s)?",
        "confirmToInviteForce": "Are you sure you want to send an invitation email to the entered email address?",
        "confirmToBeforeEditMsg": "If you start editing, what you have just entered in the input area will be lost.\nAre you sure?",
        "confirmToCloseEditMsg": "If you cancel editing, what you have just entered in the input area will be lost.\nAre you sure?",
        "confirmToModMsgPublic": "This message is going to be changed to public.\nAre you sure?",
        "confirmToModMsgSecret": "This message is going to be changed to private.\nAre you sure?",
        "deleteAllLabel": "Delete All",
        "deleteFromDispRangeLabel": "Delete From Display Range",
        "deletedReferenceMessage" : "(This Message has been deleted.)",
        "notifyMessage_accept_contact": "Contact has been started.",
        "notifyMessage_add_member": "New member(s) joined the room.",
        "notifyMessage_add_task": "{{name:hs}} has added a new task.",
        "notifyMessage_add_event": "{{name:hs}} has added a new event.",
        "notifyMessage_add_question": "{{name:hs}} has created a new questionnaire.",
        "notifyMessage_add_topic": "{{name:hs}} has added a new topic.",
        "notifyMessage_alarm_todo": "This is a task notification.",
        "notifyMessage_alarm_schedule": "This is an event notification.",
        "notifyMessage_information": "New information has been added.",
        "notifyMessage_start_talk": "Started a call.",
        "notifyMessage_cancel_call": "{{name:hs}} has declined your call.",
        "notifyMessage_notification_by_admin": "You received a message from the system administrator.",
        "notifyMessage_notification_to_room_manager_by_admin": "{{target_chat_name:hs}}'s administrator got a message from the system administrator.",
        "notifyMessage_notification_to_room_member_by_admin": "{{target_chat_name:hs}}'s members got a message from the system administrator.",
        "notifyMessage_notification_to_contact_by_admin": "{{target_chat_name:hs}}'s contact got a message from the system administrator.",
        // ↓システム管理者又はユーザーに通知するメッセージ
        "notifyMessage_errorSchNotify": "Failed in system notification of schedule update.",
        "notifyMessage_errorTaskNotify": "Failed in system notification of task update.",
        "notifyMessage_errorQuestNotify": "Failed in system notification of creation of questionnaire.",
        "notifyMessage_errorMemAdmNotify": "Failed in system notification of appointed as an administrator of a room.",
        "notifyMessage_errorMemAddNotify": "Failed in system notification of add member.",
        "notifyMessage_errorRoomReqNotify": "Failed in system notification of request join room.",
        "notifyMessage_errorRoomAcceptNotify": "Failed in system notification of approved requested participation room.",
        "notifyMessage_errorContactReqNotify": "Failed in system notification of request contact.",
        "notifyMessage_errorContactAcceptNotify": "Failed in system notification of approved contact.",
        "notifyMessage_errorScheduleRefer": "Failed to link to the external calendar.",
        // ↓システム管理者へ通知するメッセージ
        "notifyMessage_errorExecScheduler": "Failed to run scheduler.",
        "notifyMessage_errorExecNotify": "Failed to invoke the system notification module.",
        "notifyMessage_errorDelUser": "An error has occurred while deleting the users.",
        "notifyMessage_errorDelChat": "An error has occurred while deleting the rooms.",
        "notifyMessage_errorDelTemp": "Failed to delete the past session data and the temporary files.",
        "notifyMessage_errorSaveDel": "Failed to delete the data that have exceed the retention period.",
        "notifyMessage_errorSendNode": "Failed to request real-time communications.",
        "notifyMessage_errorNewMessageNotify" : "Failed in system notification of arrival of new messages.",
        "notifyMessage_errorDneoNotify": "Failed in desknet's NEO Linked Account (Message Notifications).",
        "notifyMessage_errorAssistantCom": "An error occurred in Assistant.",
        "notifyMessage_regist_invited_user": "A guest user has been added.",
        "notifyMessage_errorWebhookReqest": "Webhook request failed."
    },

    // コンタクト
    "contact": {
        "applicationTitle": "Add Contact", // ユーザープロフィールからの申請
        "approvalTitle": "Approve", // ユーザープロフィールからの申請
        "requestAsMailTitle": "Add Contact by Email",
        "screenShareTitle": "Screen Share",
        "labelCreateTitle": "Create Contact Label",
        "labelModifyTitle": "Update Contact Label",
        "labelListMore": "+{{count:hs}} more...",
        "labelListMore_few": "Add Label"
    },

    // チャットルーム
    "room": {
        "memberChooserTitle": "Members",
        "roomChooserTitle": "Rooms",
        "botChooserTitle": "Chatbot",
        "categoryChooserTitle": "Room Category",
        "invitedChooserTitle": "Guest",
        "requestAsMailTitle": "Invite by Email Address",
        "invitationTitle": "Invite Guest User",
        "memberAddtionTitle": "Add Member",
        "memberInvitationTitle": "Invite Member",
        "invitationApprovalTitle": "Join Room",
        "confirmToInviteButton": "Confirm",
        "decideToInviteButton": "Send Invitation Email",
        "referPublicityFormat": "({{public}} Rooms)",
        "entryTitleWizard_1": "Create Room 1/4 (Basic Information)",
        "entryTitleWizard_2": "Create Room 2/4 (Member Settings)",
        "entryTitleWizard_3": "Create Room 3/4 (Privacy Settings)",
        "entryTitleWizard_4": "Create Room 4/4 (Privileges Settings)",
        "entryTitleRequest": "Join Room",
        "acceptButton": "Participation Requests",
        "applicantsButton": "In Invitation",
        "wizardPrevButton": "< Back",
        "wizardNextButton": "Next >",
        "infoTitle": "Room Information",
        "categoryName_notInCategory": "(uncategorized)"
    },

    // アシスタント
    "assistant": {
        "applicationTitle": "Add Assistant",
        "assistantChooserDialogTitle": "Choose Assistant",
        "assistantChooserTitle": "Assistant",
        "accessKeySettingDialogTitle": "Access Key Settings",
        "accessKeyNotSet": "(Access key for desknet's NEO Linked Account is not set.)"
    },

    // UIテンプレート
    "uitmpl": {
        "listItemNum": "{{num}} Items"
    },

    // プロフィール
    "profile": {
        "title": "Profile",
        "contactButton_none": "Add Contact",
        "contactButton_unconfirmed": "Cancel Request",
        "contactButton_requested": "Approve",
    },

    // お知らせ
    "information": {
        "update_title": "Update Information",
        "manage_button": "Room Information Management",
        "message_confirmToDelete": "Are you sure you want to delete this information?",
        "message_confirmToDeleteChecked": "Are you sure you want to delete the selected information?"
    },

    // タスク
    "task": {
        "detailTitle": "Task Details",
        "no_due": "None",
        "alarm_start": "{{date}} day(s) before due date",
        "alarm_everyday": "Everyday",
        "alarm_once": "Only One Time",
        "complete": "Complete",
        "work": "Cancel Completion",
        "entryTitle": "Add Task",
        "modifyTitle": "Update Task",
        "state_completed": "(Completed)",
        "state_active": "(In Progress)",
        "label_manage": "Label Management",
        "confirmToComplete": "Are you sure you want to complete the task?",
        "confirmToDelete": "Are you sure you want to delete the task?",
        "confirmToLabelsDelete": "Are you sure you want to delete the selected label(s)?",
        "confirmToWork": "Are you sure you want to start the task?",
        "confirmToDeleteLabel": "Are you sure you want to remove the label?",
        "alarm_title": "Reminder"
    },

    // スケジュール
    "calendar": {
        "addTitle": "Add Event",
        "detailTitle": "Details",
        "birthday": "Birthday",
        "locationEntryFormat": "Location: {{location:hs}}",
        "modifyTitle": "Update Event",
        "listWithoutTerm": "(No specified period)",
        "targetOccurrenceTitle_update": "Update Time/Date",
        "targetOccurrenceTitle_delete": "Delete Event(s)",
    },

    // リマインダー
    "reminder": {
        "addTitle"              : "Add Reminder",
        "modifyTitle"           : "Update Reminder",
        "detailTitle"           : "Reminder Details",
        "RecurrenceEditorTitle" : "Recurring Reminders",
        "DateChooserTitle"      : "Irregular Reminders",
        "confirmToDelete"       : "Are you sure you want to delete this reminder?"
    },

    // アンケート
    "question": {
        "addTitle": "Create Questionnaire",
        "modifyTitle": "Update Questionnaire",
        "copyTitle" : "Copy Questionnaire",
        "over_choices": "The number of options have exceeded the limit ({{max}}). The current number of options is {{now}}.",
        "copyOkButtonLabel" : "Copy",
        "answer_title": "Questionnaire Details",
        "to_result": "Display Result",
        "reanswer": "Respond Again",
        "doComplete": "End Acceptance",
        "confirmToComplete": "Are you sure you want to end the acceptance of responses?",
        "confirmToDelete": "Are you sure you want to delete the questionnaire?",
        "confirmToShare": "By sharing, all members can view the results. Are you sure you want to proceed?",
        "confirmToAnswer": "Are you sure you want to respond the questionnaire?",
        "answer": "Send",
        "pulldown_init": "(Please Choose One)",
        "rank": "{{rank}}",
        "answer_complete": "End Acceptance",
        "result_title": "Questionnaire Result",
        "other": "(None of the Above)",
        "when_completed": "Due Date {{date}}",
        "when_start": "Start {{date}}",
        "answerResetLabel": "Reset",
        "notResult": "Unable to share since there is no result.",
        "remainingNumber": "You can enter {{number}} more characters.",
        "overText": "An entry value exceeds {{over}} characters. You can enter up to {{max}} characters.",
        "export": "File creation in progress…"
    },

    // ファイル
    "file": {
        "downloadAll": "Allow users to download all preferences.",
        "downloadIntApp": "Do not allow users to download files via external IP.",
        "downloadIntExt": "Do not allow users to download files to smartphones.",
        "downloadIntExtAppImage": "Allow users to download only image files to smartphones",
        "downloadIntExtImageApp": "Allow users to download only image files via external IP",
        "downloadIntExtImageAppImage": "Allow users to download only image files via external IP ",
        "downloadIntExtImage": "Allow users to download only image files via external IP, and do not allow downloading any file from smartphone app",
        "downloadIntAppImage": "Allow users to download only image files from smartphone app, and do not allow downloading any file from external IP",
        "downloadInt": "Do not allow users to download files via(by) external IP and smartphone app",
        "downloadImageAll": "Allow downloading image files only.",
        "downloadImageIntExt": "Do not allow downloading any file from smartphone app, and allow downloading only image files in other environments",
        "downloadImageIntApp": "Do not allow downloading any file via external IP, and allow downloading only image files in other environments",
        "downloadImageInt": "Do not allow downloading any file via external IP and from smartphone app, and allow users to download only image files in other environments",
        "downloadNever": "Do not allow downloading any file.",
        "image_title": "Image",
        "confirmToDelete": "Are you sure you want to delete this file?",
        "rename_title": "Update File Name",
        "copyTitle": "Copy File",
        "fileName": "File Name",
        "fileSize": "Size",
        "snippetOmitText": "{{omitted}} more lines...",
        "uploadNameDuplicated": "The file \"{{name}}\" was replaced because it already existed.",
        "messagePasteInvalidImageFile": "The file may be corrupted. Please select another image file.",
        "uploadNotAvailable": "Files cannot be sent during message editing, comments, and bot selection."
    },

    // トピック
    "topic": {
        "addTitle": "Add Topic",
        "modifyTitle": "Update Topic",
        "detailTitle": "Topic Details",
        "confirmToActive": "Are you sure you want to resume this topic?",
        "confirmToFinished": "Are you sure you want to end this topic?",
        "finished": "End",
        "resume": "Resume",
        "confirmToDelete": "Are you sure you want to delete this topic?",
        "selectTopicDialogTitle": "Select topic",
        "selectTopicDialogTitleForAddMessage": "Select topic to add the message",
    },

    // 後で読む
    "readlater": {
        "confirmToDelete": "Are you sure you want to delete Read later?",
    },

    // リアクション  
    "reaction": {
        "contentsNotAll": "Display \"Reaction received.\"",
        "contentsIcon": "Display reaction icon",
        "contentsChat": "Display room name",
        "contentsUser": "Display users who have reacted",
        "contentsIconChat": "Display reaction icon/room name",
        "contentsIconUser": "Display reaction icon/users who have reacted",
        "contentsChatUser": "Display room name/users who have reacted",
        "contentsAll": "Display reaction icon/room name/users who have reacted",
        "reactionNotification": "Reaction received.",
    },

    // ライセンス
    "license": {
        // 種別: ルーム
        "room": {
            "exceedanceLicenseMessage": "You need {{count}} more room license(s).",
            "exceedanceNoExpireLicenseMessage": "Delete {{count}} room(s) in {{limit}} day(s) or purchase the insufficient license(s).",
            "availableLicenseMessage": "{{count}} room license(s) are purchased."
        }
    },

    // ガジェット
    "gadget": {
        "gadgetCodeDialogTitle": "Get Gadget Code"
    },

    // 通知
    "Notification": {
        "PUSH_MSG_ROOM_MESSAGE_SEND": "[{{value0:h}}]: New message from {{value1:h}} has arrived.",
        "PUSH_MSG_ROOM_MENTION_MESSAGE_SEND": "{{value0:h}}: New mention from {{value1:h}} has arrived.",
        "PUSH_MSG_ROOM_COMMENT_MESSAGE_SEND": "{{value0:h}}: New comment from {{value1:h}} has arrived.",
        "PUSH_MSG_ROOM_REQUEST": "[{{value0:h}}]: New participation request.",
        "PUSH_MSG_ROOM_APPD": "Participation request to {{value0:h}} has been approved.",
        "PUSH_MSG_ROOM_INVITE": "{{value0:h}} There is a new invitation.",
        "PUSH_MSG_CONTACT_MESSAGE_SEND": "New message from {{value0:h}} has arrived.",
        "PUSH_MSG_CONTACT_MENTION_MESSAGE_SEND": "You've been mentioned by {{value0:h}}.",
        "PUSH_MSG_CONTACT_COMMENT_MESSAGE_SEND": "You've been commented by {{value0:h}}.",
        "PUSH_MSG_CONTACT_REQUEST": "{{value0:h}} sent you a contact request.",
        "PUSH_MSG_CONTACT_APPD": "{{value0:h}} accept your contact request.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TASK_SHARE": "{{value0:h}} : A task has been shared.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_SCHEDULE_SHARE": "{{value0:h}} : A schedule has been shared.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_ENQUETE_SHARE": "{{value0:h}} : Result of a questionnaire has been shared.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_FILE_SHARE": "{{value0:h}} : A file has been shared.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TOPIC_SHARE": "{{value0:h}} : A topic has been shared.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TASK_ADD": "{{value0:h}} : A task has been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_SCHEDULE_ADD": "{{value0:h}} : A schedule has been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_ENQUETE_ADD": "{{value0:h}} : A questionnaire has been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_TOPIC_ADD": "{{value0:h}} : A topic has been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_FILE_ADD": "{{value0:h}} : File(s) have been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_MEMBER_ADD": "{{value0:h}} : Member(s) have been added.",
        "PUSH_MSG_SYSTEM_NOTIFICATION_INFO_ADD": "{{value0:h}} : New information have been added.",
        "PUSH_MSG_SYSTEM_ERROR": "A system error has occurred. Please check the detail from My Room.",
        "PUSH_MSG_system_alarm_schedule": "A schedule's reminder has arrived. Please check the detail from My Room.",
        "PUSH_MSG_system_alarm_todo": "A task's reminder has arrived. Please check the detail from My Room.",
        "PUSH_MSG_system_alarm_reminder": "Reminder : {{value0:h}}",
        "PUSH_MSG_contact_system": "{{value0:h}} : Contact has been started.",
        "PUSH_MSG_system_cancel_call": "{{value0:h}} has declined your call.",
        "PUSH_MSG_system_notification_by_admin": "You received a message from the system administrator.",
        "PUSH_MSG_system_notification_to_room_manager_by_admin": "{{value0:h}}'s administrator got a message from the system administrator.",
        "PUSH_MSG_system_notification_to_room_member_by_admin": "{{value0:h}}'s members got a message from the system administrator.",
        "PUSH_MSG_system_notification_to_contact_by_admin": "{{value0:h}}'s contact got a message from the system administrator.",
        "PUSH_MSG_system_external_notice": "{{value0:h}} : {{value1:h}}",
        "PUSH_MSG_system_external_notice_plain": "{{value0:h}}",
        "PUSH_MSG_system_regist_invited_user": "A guest user has been added.",
        "incoming_call": "Incoming call from {{value0:h}}."
    },

    // 各種メッセージ
    "Message": {
        "com_notSupportedUserAgent": "Your browser is not supported by ChatLuck.",
        "com_passwordWillExpire": "Please change your password from here <a href=\"{{url}}\">Password Settings</a>",
        "com_confirmCriticalDelete": "This action cannot be undone. Please use caution.",
        "com_warnNotFound": "W:Corresponding data does not exist. The data might have been deleted.",
        "call_warnCalling": "W:You cannot make another call.",
        "call_warnCallOffline": "W:You cannot make an offline call.",
        "call_warnNoContact": "W:You cannot make the call because the user is not you contact user.",
        "call_warnNotInHome": "W:Screen cannot be shared because the user is not displaying the chat function.",
        "call_warnNoTarget": "Cannot find anyone to call.",
        "call_messageDecline": "M:No response.",
        "call_messageIAmBusy": "M:I cannot talk right now.",
        "call_messageCallLater": "M:I will call you back.",
        "call_messageErrorOnTarget": "M:The call has ended because an error has occurred at the other user's side.",
        "call_messageAcceptedOther": "M:The user is on a call.",
        "call_notSupported": "The call features are not available in your browser.",
        "call_notSupported_extra": "Supported browsers are Chrome, Firefox and Edge.",
        "call_notSupported_screenSharing": "Screen share is not supported in this browser. Please use either Chrome or Firefox.",
        "call_beforeUnload": "The call will be terminated if you refresh the screen.",
        "call_webrtcError": "E:An error has occurred.",
        "call_webrtcError_mediaUnavailable": "W:Cannot access to microphone or camera.<br>\nPlease check device connection and settings.",
        "call_webrtcError_extensionRequired": "W:Unable to start screen share.<br>\nPlease refer to the URL below and install the Add-on \"ChatLuck Desktop Capture\".",
        "call_webrtcError_mediaSettingRequired": "W:Unable to start screen share.<br>\nPlease refer to the URL below and allow screen share in ChatLuck.",
        "header_contactCount": "You have {{count:hs}} new contact notifications.",
        "header_contactNotFonud": "You have no new contact notifications.",
        "header_notifyCount": "You have {{count:hs}} new notification(s).",
        "header_notifyNotFonud": "No new notifications.",
        "header_messageCount": "You have {{count:hs}} unread message(s).",
        "header_messageNotFonud": "No new messages.",
        "header_mentionCount": "You have {{count:hs}} unread mention(s).",
        "header_mentionNotFound": "You have no new mentions.",
        "header_rtconnect": "Real-time communication:{{message:T}}",
        "header_rtconnect_ok": "Connected",
        "header_confirmToLogOut": "Are you sure you want to log out?",
        "header_flagCount": "{{count:hs}} messages have been registered.",
        "header_flagNotFound": "There are no registered messages.",
        "chat_confirmToRemove": "All the following data of the room will be deleted.<br />\nAssignees of tasks and schedules<br />\nResponsed and drafts of questionnaires of the selected user(s)<br />\nAre you sure?",
        "chat_confirmToAccept": "Are you sure you want to approve the selected user(s)?",
        "chat_confirmToDeny": "Are you sure you want to decline the selected user(s)?",
        "chat_confirmToCancelInvitation": "Are you sure you want to delete the invitation request(s) from the selected user(s)?",
        "chat_confirmToDelete": "Are you sure you want to delete?",
        "chat_permissionChanged": "Permission of \"{{user:hs}}\" has been changed.",
        "room_confirmToCancelRequest": "Are you sure you want to cancel the participation request to this room?",
        "room_confirmToRequestAccept": "Are you sure you want to join this room?",
        "room_confirmToRequestDeny": "Are you sure you want to decline the participation request?",
        "room_confirmToInviteExternal": "Are you sure you want to send an invitation email to the guest user?",
        "room_confirmToApproveInvitation": "Do you want to join this room?",
        "room_confirmToCopy": "A new room with \"{{name}}\"'s room members and settings will be created.<br />Are you sure?",
        "room_updatedByAnyone": "Room Information has been updated. Click <a href=\"#\">here</a> to display.",
        "room_expireToAdd": "The invitation will be invalid after {{limit}}.",
        "room_entrySuccess": "Succeeded in creating a room.",
        "contact_confirmToCancelRequest": "Are you sure you want to cancel the request?",
        "contact_confirmToRelease": "Are you sure you want to remove this contact?<br>\nMessages, tasks, schedules, files, and topics will be deleted.",
        "contact_confirmToApprove": "Do you want to approve this request?",
        "contant_confirmToRequestExternal": "Are you sure you want to send a contact request email to the guest user?",
        "contact_expireToAdd": "Request(s) will be expired in {{limit}}.",
        "assistant_confirmToRelease": "Are you sure you want to remove this assistant?<br>\nAll messages will be deleted.",
        "message_confirmToDelete":"Are you sure you want to delete this message?",
        "message_replyTargetNotFound": "The message has been deleted.",
        "message_uploadIsNotAllowed":"You do not have the required access right to upload files.",
        "message_searchNotFound":"No messages were found that match the keyword.",
        "message_searchByIDNotFound": "The message does not exist. Another message nearby will be shown instead.",
        "message_deleteWithData_file": "Deleted the message and the file.",
        "message_deleteWithData_task": "Deleted the message and the task.",
        "message_deleteWithData_calendar": "Deleted the message and the event.",
        "message_deleteWithData_question": "Deleted the message and the questionnaire.",
        "message_deleteWithData_topic": "Deleted the message and the topic.",
        "message_deletedDuringComment": "The target message was deleted while making a comment.",
        "message_deletedDuringEdit": "The message was deleted while editing.",
        "message_deletedMentionDuringEdit": "You can not delete the user name that you've mentioned.",
        "profile_defaultMemoGuide": "Double click to change the personal notes.",
        "calendar_reminderFormat_minute": "Send {{value:hs}} minutes before",
        "calendar_reminderFormat_hour": "Send {{value:hs}} hour(s) before",
        "calendar_reminderFormat_day": "Send {{value:hs}} day(s) before",
        "calendar_occurrenceChooser_update": "Please choose the event(s) you want to update.",
        "calendar_occurrenceChooser_delete": "Please choose the event(s) you want to delete.",
        "calendar_confirmToDelete": "Are you sure you want to delete the event?",
        "share": "Are you sure you want to share?",
        "gadget_close_websocket": "W:The connection for real-time communication is broken.",
        "cancelBatch": "Abort batch processing. Are you sure?",
        "read_later_entrySuccess": "The message has been added to \"Read later\".",
        "read_later_deleteSuccess": "The message has been deleted from \"Read later\".",
        "topic_entrySuccess": "The message has been added to the topic.",
        "topic_deleteSuccess": "The message has been removed from the topic.",
        "topic_no_message_replyTargetNotFound": "Messages that are not included in the topic or have been deleted.",
        "topic_message_replyTargetNotFound": "Messages that are included in the topic or have been deleted.",
        "topic_mode_confirmToUpdate": "Do you want to select the same topic as the message you are commenting on?",
        "topic_mode_confirmToRelease": "Topic selection changed while making a comment.<br>\nDo you also want to deselect a topic?"
    },

    // 設定内検索
    "SearchSetting": {
        "searchKeyword_overText": "Number of characters of keyword exceeded the limit. You can enter up to 100 characters."
    },

    // システム状況
    "systemState": {
        "serverEnvironmentInformation": "Server Environment Information",
        "os"                : "OS",
        "webServer"         : "Web Server",
        "database"          : "Database",
        "realtimeServerStatus"  : "Real-time Server Availability",
        "accessPoint"           : "Access Point",
        "numberOfConnections"   : "Number of Connections",
        "ssl"               : "SSL",
        "proxyServer"       : "Proxy Server",
        "host"              : "Host",
        "port"              : "Port No.",
        "networkSeparation" : "Network Separation Availability",
        "serverStatus"      : "Server Status",
        "server"            : "Server",
        "mainServer"        : "Main server",
        "relayServer"       : "Relay server",
        "functionalSettings": "Functional settings of this server",
        "uploadFile"        : "Upload file",
        "downloadFile"      : "File Download",
        "termAuth"          : "Terminal auth",
        "pushNotification"  : "Push notification",
        "BasicURLOfAppForRelayServer" : "Basic URL of the app for the relay server",
    }
};

/**
 * サーバー(リアルタイム通信)のエラーメッセージ
 */
// ログイン関連
app.Resource.Message.rs_error_session_unknown = "W:Cannot access to the requested process.<br>\nThe permissions might have been changed or the session has expired. Please abort the process and try again.";
// API関連
app.Resource.Message.rs_error_param_faild = "Invalid request. Please make sure the content and resend it.";
// DB関連
app.Resource.Message.rs_error_db_faild = "Failed to access to the database.";
// WebRTC関連
app.Resource.Message.rs_error_user_not_logged_in = "W:Call destination is currently offline.";
app.Resource.Message.rs_error_send_error = "A communication error has occurred.";
app.Resource.Message.rs_error_user_busy = "W:Other user may be busy.";
app.Resource.Message.rs_error_user_not_supported = "W:Other user cannot use the call feature.";
app.Resource.Message.rs_error_not_response = chat.Resource.Message.call_messageDecline;
